'use strict';

var tslib_es6 = require('../../node_modules/tslib/tslib.es6.js');
var React = require('react');
var PropTypes = require('prop-types');
var index = require('../../_virtual/index.js');
var CAccordionContext = require('./CAccordionContext.js');
var CAccordionItemContext = require('./CAccordionItemContext.js');

var CAccordionItem = React.forwardRef(function (_a, ref) {
    var children = _a.children, className = _a.className, id = _a.id, itemKey = _a.itemKey, rest = tslib_es6.__rest(_a, ["children", "className", "id", "itemKey"]);
    var uniqueId = React.useId();
    var _id = id !== null && id !== void 0 ? id : uniqueId;
    var _itemKey = React.useRef(itemKey !== null && itemKey !== void 0 ? itemKey : _id);
    var _b = React.useContext(CAccordionContext.CAccordionContext), _activeItemKey = _b._activeItemKey, alwaysOpen = _b.alwaysOpen, setActiveKey = _b.setActiveKey;
    var _c = React.useState(Boolean(_activeItemKey === _itemKey.current)), visible = _c[0], setVisible = _c[1];
    React.useEffect(function () {
        if (!alwaysOpen && visible) {
            setActiveKey(_itemKey.current);
        }
    }, [visible]);
    React.useEffect(function () {
        setVisible(Boolean(_activeItemKey === _itemKey.current));
    }, [_activeItemKey]);
    return (React.createElement("div", tslib_es6.__assign({ className: index.default('accordion-item', className) }, rest, { ref: ref }),
        React.createElement(CAccordionItemContext.CAccordionItemContext.Provider, { value: { id: _id, setVisible: setVisible, visible: visible } }, children)));
});
CAccordionItem.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
    itemKey: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
};
CAccordionItem.displayName = 'CAccordionItem';

exports.CAccordionItem = CAccordionItem;
//# sourceMappingURL=CAccordionItem.js.map
