import { ElementType, HTMLAttributes } from 'react';
import { PolymorphicRefForwardingComponent } from '../../helpers';
export interface CNavProps extends HTMLAttributes<HTMLDivElement | HTMLUListElement | HTMLOListElement> {
    /**
     * Component used for the root node. Either a string to use a HTML element or a component.
     */
    as?: ElementType;
    /**
     * A string of all className you want applied to the base component.
     */
    className?: string;
    /**
     * Specify a layout type for component.
     */
    layout?: 'fill' | 'justified';
    /**
     * Set the nav variant to tabs or pills.
     */
    variant?: 'enclosed' | 'enclosed-pills' | 'pills' | 'tabs' | 'underline' | 'underline-border';
}
export declare const CNav: PolymorphicRefForwardingComponent<'ul', CNavProps>;
