import React, { HTMLAttributes } from 'react';
export interface CTabListProps extends HTMLAttributes<HTMLDivElement> {
    /**
     * A string of all className you want applied to the base component.
     */
    className?: string;
    /**
     * Specify a layout type for component.
     */
    layout?: 'fill' | 'justified';
    /**
     * Set the nav variant to tabs or pills.
     */
    variant?: 'enclosed' | 'enclosed-pills' | 'pills' | 'tabs' | 'underline' | 'underline-border';
}
export declare const CTabList: React.ForwardRefExoticComponent<CTabListProps & React.RefAttributes<HTMLDivElement>>;
