'use strict';

var tslib_es6 = require('../../node_modules/tslib/tslib.es6.js');
var React = require('react');
var PropTypes = require('prop-types');
var index = require('../../_virtual/index.js');
var CToastClose = require('./CToastClose.js');

var CToastHeader = React.forwardRef(function (_a, ref) {
    var children = _a.children, className = _a.className, closeButton = _a.closeButton, rest = tslib_es6.__rest(_a, ["children", "className", "closeButton"]);
    return (React.createElement("div", tslib_es6.__assign({ className: index.default('toast-header', className) }, rest, { ref: ref }),
        children,
        closeButton && React.createElement(CToastClose.CToastClose, null)));
});
CToastHeader.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
    closeButton: PropTypes.bool,
};
CToastHeader.displayName = 'CToastHeader';

exports.CToastHeader = CToastHeader;
//# sourceMappingURL=CToastHeader.js.map
