import { __rest, __assign } from '../../node_modules/tslib/tslib.es6.js';
import React, { forwardRef, useContext } from 'react';
import PropTypes from 'prop-types';
import classNames from '../../_virtual/index.js';
import { CCollapse } from '../collapse/CCollapse.js';
import { CAccordionItemContext } from './CAccordionItemContext.js';

var CAccordionBody = forwardRef(function (_a, ref) {
    var children = _a.children, className = _a.className, rest = __rest(_a, ["children", "className"]);
    var _b = useContext(CAccordionItemContext), id = _b.id, visible = _b.visible;
    return (React.createElement(CCollapse, { className: "accordion-collapse", id: id, visible: visible },
        React.createElement("div", __assign({ className: classNames('accordion-body', className) }, rest, { ref: ref }), children)));
});
CAccordionBody.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
};
CAccordionBody.displayName = 'CAccordionBody';

export { CAccordionBody };
//# sourceMappingURL=CAccordionBody.js.map
