import { __rest, __assign } from '../../node_modules/tslib/tslib.es6.js';
import React, { forwardRef } from 'react';
import PropTypes from 'prop-types';
import classNames from '../../_virtual/index.js';
import { CLink } from '../link/CLink.js';

var CBreadcrumbItem = forwardRef(function (_a, ref) {
    var children = _a.children, active = _a.active, as = _a.as, className = _a.className, href = _a.href, rest = __rest(_a, ["children", "active", "as", "className", "href"]);
    return (React.createElement("li", __assign({ className: classNames('breadcrumb-item', {
            active: active,
        }, className) }, (active && { 'aria-current': 'page' }), rest, { ref: ref }), href ? (React.createElement(CLink, { as: as, href: href }, children)) : (children)));
});
CBreadcrumbItem.propTypes = {
    active: PropTypes.bool,
    children: PropTypes.node,
    className: PropTypes.string,
    href: PropTypes.string,
};
CBreadcrumbItem.displayName = 'CBreadcrumbItem';

export { CBreadcrumbItem };
//# sourceMappingURL=CBreadcrumbItem.js.map
