import { ElementType, HTMLAttributes } from 'react';
import { PolymorphicRefForwardingComponent } from '../../helpers';
export interface CNavbarBrandProps extends HTMLAttributes<HTMLAnchorElement | HTMLSpanElement> {
    /**
     * Component used for the root node. Either a string to use a HTML element or a component.
     *
     */
    as?: ElementType;
    /**
     * A string of all className you want applied to the component.
     */
    className?: string;
    /**
     * The href attribute specifies the URL of the page the link goes to.
     */
    href?: string;
}
export declare const CNavbarBrand: PolymorphicRefForwardingComponent<'a', CNavbarBrandProps>;
