import { __rest, __assign } from '../../node_modules/tslib/tslib.es6.js';
import React, { forwardRef } from 'react';
import PropTypes from 'prop-types';
import classNames from '../../_virtual/index.js';
import { CProgressStackedContext } from './CProgressStackedContext.js';

var CProgressStacked = forwardRef(function (_a, ref) {
    var children = _a.children, className = _a.className, rest = __rest(_a, ["children", "className"]);
    return (React.createElement("div", __assign({ className: classNames('progress-stacked', className), ref: ref }, rest),
        React.createElement(CProgressStackedContext.Provider, { value: {
                stacked: true,
            } }, children)));
});
CProgressStacked.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
};
CProgressStacked.displayName = 'CProgressStacked';

export { CProgressStacked };
//# sourceMappingURL=CProgressStacked.js.map
