import { __rest, __assign } from '../../node_modules/tslib/tslib.es6.js';
import React, { forwardRef, useRef } from 'react';
import PropTypes from 'prop-types';
import classNames from '../../_virtual/index.js';
import { useForkedRef } from '../../hooks/useForkedRef.js';
import '@popperjs/core';
import getNextActiveElement from '../../utils/getNextActiveElement.js';

var CTabList = forwardRef(function (_a, ref) {
    var _b;
    var children = _a.children, className = _a.className, layout = _a.layout, variant = _a.variant, rest = __rest(_a, ["children", "className", "layout", "variant"]);
    var tabListRef = useRef(null);
    var forkedRef = useForkedRef(ref, tabListRef);
    var handleKeydown = function (event) {
        if (tabListRef.current !== null &&
            (event.key === 'ArrowDown' ||
                event.key === 'ArrowUp' ||
                event.key === 'ArrowLeft' ||
                event.key === 'ArrowRight' ||
                event.key === 'Home' ||
                event.key === 'End')) {
            event.preventDefault();
            var target = event.target;
            // eslint-disable-next-line unicorn/prefer-spread
            var items = Array.from(tabListRef.current.querySelectorAll('.nav-link:not(.disabled):not(:disabled)'));
            var nextActiveElement = void 0;
            if (event.key === 'Home' || event.key === 'End') {
                nextActiveElement = event.key === 'End' ? items.at(-1) : items[0];
            }
            else {
                nextActiveElement = getNextActiveElement(items, target, event.key === 'ArrowDown' || event.key === 'ArrowRight', true);
            }
            if (nextActiveElement) {
                nextActiveElement.focus({ preventScroll: true });
            }
        }
    };
    return (React.createElement("div", __assign({ className: classNames('nav', variant === 'enclosed-pills' && 'nav-enclosed', (_b = {},
            _b["nav-".concat(layout)] = layout,
            _b["nav-".concat(variant)] = variant,
            _b), className), role: "tablist", onKeyDown: handleKeydown, ref: forkedRef }, rest), children));
});
CTabList.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
    layout: PropTypes.oneOf(['fill', 'justified']),
    variant: PropTypes.oneOf([
        'enclosed',
        'enclosed-pills',
        'pills',
        'tabs',
        'underline',
        'underline-border',
    ]),
};
CTabList.displayName = 'CTabList';

export { CTabList };
//# sourceMappingURL=CTabList.js.map
