import { __rest, __assign } from '../../node_modules/tslib/tslib.es6.js';
import React, { forwardRef } from 'react';
import PropTypes from 'prop-types';
import classNames from '../../_virtual/index.js';
import { CToastClose } from './CToastClose.js';

var CToastHeader = forwardRef(function (_a, ref) {
    var children = _a.children, className = _a.className, closeButton = _a.closeButton, rest = __rest(_a, ["children", "className", "closeButton"]);
    return (React.createElement("div", __assign({ className: classNames('toast-header', className) }, rest, { ref: ref }),
        children,
        closeButton && React.createElement(CToastClose, null)));
});
CToastHeader.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
    closeButton: PropTypes.bool,
};
CToastHeader.displayName = 'CToastHeader';

export { CToastHeader };
//# sourceMappingURL=CToastHeader.js.map
